## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelMessage Struct Reference

A message in the CEL framework. More...

`#include <physicallayer/message.h>`

List of all members.

## Public Member Functions

virtual const char * | GetMessageParameter (int idx) const =0
| Get message parameter.
virtual int | GetMessageParameterCount () const =0
| Get number of message parameters.
virtual const char * | GetMessageString () const =0
| Get message string.

## Detailed Description

A message in the CEL framework.

Definition at line 32 of file message.h.

## Member Function Documentation

virtual const char* iCelMessage::GetMessageParameter | ( | int | idx | ) | const`[pure virtual]`

| Get message parameter.

virtual int iCelMessage::GetMessageParameterCount | ( |  | ) | const`[pure virtual]`

| Get number of message parameters.

virtual const char* iCelMessage::GetMessageString | ( |  | ) | const`[pure virtual]`

| Get message string.

The documentation for this struct was generated from the following file:

- physicallayer/message.h